Bug 28378 - SDDM login does not remember previous desktop session, RememberLastSession=false in /etc/sddm.conf
Summary: SDDM login does not remember previous desktop session, RememberLastSession=fa...
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal normal
Target Milestone: Mageia 8
Assignee: QA Team
QA Contact:
URL:
Whiteboard:
Keywords: 8final, IN_ERRATA8
Depends on:
Blocks:
 
Reported: 2021-02-19 07:20 CET by ben mcmonagle
Modified: 2021-02-26 16:30 CET (History)
4 users (show)

See Also:
Source RPM: sddm-0.19.0-13.mga8 / sddm-kcm-5.20.4-1.mga8
CVE:
Status comment: RememberLastSession=false set in /etc/sddm.conf by defaut can confuse user.


Attachments
default sddm.conf (5.82 KB, text/plain)
2021-02-19 07:59 CET, ben mcmonagle
Details
msec setting (110.54 KB, image/png)
2021-02-19 08:04 CET, ben mcmonagle
Details

Description ben mcmonagle 2021-02-19 07:20:48 CET
Description of problem:when multi_DE system is installed, default session is Gnome(wayland) when DM is changed from GDM to SDDM and any other DE session is logged in and then out of.
I prefer that the greeter remembers my last session DE.


Version-Release number of selected component (if applicable):


How reproducible:every time


Steps to Reproduce:
1.install all DE from mga8-final CI.iso (32 or 64 bit)
2.reboot and change default DM from GDM to SDDM, login to Plasma DE
3.log-out and default Gnome(wayland) is offered as login DE
ben mcmonagle 2021-02-19 07:21:34 CET

Target Milestone: --- => Mageia 8
Keywords: (none) => 8final

Comment 1 Aurelien Oudelet 2021-02-19 07:48:23 CET
Hi, thanks reporting this.

Can you put here the content of /etc/sddm.conf ?
If there is this following line:
"RememberLastSession=false"
Please remove it.

Also, check the value of ALLOW_LIST_USER in MSEC.
This can be set to Yes.

CC: (none) => ouaurelien

Comment 2 ben mcmonagle 2021-02-19 07:59:30 CET
Created attachment 12354 [details]
default sddm.conf
Comment 3 ben mcmonagle 2021-02-19 08:03:54 CET
change in sdd.conf:

# RememberLastSession=false
Comment 4 ben mcmonagle 2021-02-19 08:04:38 CET
Created attachment 12355 [details]
msec setting
Comment 5 ben mcmonagle 2021-02-19 08:06:53 CET
reboot and it appears to have effected the required change
Comment 6 Aurelien Oudelet 2021-02-19 14:36:41 CET
Having

> RememberLastSession=false

set in /etc/sddm.conf is a downstream decision from our KDE Team.
We do not want that last successful session appears at login.

Meanwhile, with multi desktops environments installed, this can be problematic as it lists what it want first...

This add extra step by default...
No really user-friendly.

To be put in release notes/erratas...?

Keywords: (none) => FOR_ERRATA8
Status comment: (none) => RememberLastSession=false set in /etc/sddm.conf by defaut can confuse user.

Comment 7 Morgan Leijström 2021-02-19 16:00:31 CET
So SDDM is the only DM that do not per default remember last chosen DE?

And it is Mageia packaging that have changed this?
So why do we change SDDM?
- and not the other DM?
To me it seems we should logically get SDDM in line with the others.

CC: (none) => fri

Comment 8 Morgan Leijström 2021-02-20 18:29:18 CET
Added in Errata incl manual fix comment 1 + 3 

https://wiki.mageia.org/en/Mageia_8_Errata#Desktops

Keywords: FOR_ERRATA8 => IN_ERRATA8

Comment 9 Aurelien Oudelet 2021-02-21 12:30:05 CET Comment hidden (obsolete)
Comment 10 Lewis Smith 2021-02-25 21:23:52 CET
Thanks yet again Morgan for this embarrassing little ERRATA.

> We do not want that last successful session appears at login
Why on earth not? Most users would expect the last desktop used to be pre-selected. People with >1 desktop will be very annoyed if they use SDDM.

My Mageia 8 (not from a recent ISO) /etc/sddm.conf has:
#RememberLastSession=
#	If this flag is true, LastSession value will updated on every successful login, if false last session value won't be updated. Default
#	value is true.
So being commented out, it defaults to 'remember'.

#### Mageia-specific configuration
has no override of this.

BUT Ben's file has exactly the same as above, *plus*:
#### Mageia-specific configuration
...
RememberLastSession=false

This is not right. Assigning to the kde team; easy-peasy to correct.

Assignee: bugsquad => kde
Summary: SDDM greeter does not remember previous session, defaults to Gnome(Wayland) if installed => SDDM login does not remember previous desktop session, RememberLastSession=false in /etc/sddm.conf

Comment 11 Aurelien Oudelet 2021-02-25 21:26:24 CET
Sadly it was a relic from our internal testing of new theme. It will be fixed by an update post release, already in updates_testing now.
Comment 12 Nicolas Lécureuil 2021-02-26 15:15:04 CET
New rpm available.
src:
     sddm-0.19.0-15.mga8.src.rpm

CC: (none) => mageia
Assignee: kde => qa-bugs

Comment 13 Jose Manuel López 2021-02-26 15:39:39 CET
This morning in a clean install of Lxqt I encountered this bug. It's annoying for a user who only uses Lxqt, but who also gets it by default in Mageia with Icwm. 

I fixed it from Lxqt in sddm-config-editor, in the "users" section, checking "Remember the session of the last successfully logged in user". But for a user who doesn't know this, it can be confusing.

I'm glad this bug is fixed.

Greetings!

CC: (none) => joselp

Comment 14 Aurelien Oudelet 2021-02-26 16:30:08 CET
Suggested Advisory:
========================

Updated sddm package fixes RememberLastSession option

Mageia 8 ships with a sddm configuration (/etc/sddm.conf) that breaks
last session remembering.

The updated sddm package fixes this by setting correct value in
/etc/sddm.conf file.

In this file, an option RememberLastSession was set to false instead of true.

References:
https://bugs.mageia.org/show_bug.cgi?id=28378
========================

Updated packages in core/updates_testing:
========================
sddm-0.19.0-15.mga8

from SRPMS:
sddm-0.19.0-15.mga8.src.rpm

Note You need to log in before you can comment on or make changes to this bug.